Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.part
Class ShowInContext

    java.lang.Object
      org.eclipse.ui.part.ShowInContext

public class ShowInContext
extends Object

Carries the context for the Show In action. The default implementation carries an input and a selection. Subclasses may extend.

Since:
  2.1
See Also:
  `IShowInSource`, `IShowInTarget`

Constructor Summary
`ShowInContext(Object input, ISelection selection)` Constructs a new `ShowInContext` with the given input and selection.

Method Summary
`Object` | `getInput()` Returns the input, or `null` to indicate no input
`ISelection` | `getSelection()` Returns the selection, or `null` to indicate no selection.
`void` | `setInput(Object input)` Sets the input, or `null` to indicate no input.
`void` | `setSelection(ISelection selection)` Sets the selection, or `null` to indicate no selection.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShowInContext

    public ShowInContext(Object input,
                         ISelection selection)

  Constructs a new `ShowInContext` with the given input and selection.

Parameters:
  `input` - the input or `null`
  `selection` - the selection or `null`

Method Detail

### getInput

    public Object getInput()

  Returns the input, or `null` to indicate no input

  Returns:
    the input or `null`.

### getSelection

    public ISelection getSelection()

  Returns the selection, or `null` to indicate no selection.

  Returns:
    the selection or `null`

### setInput

    public void setInput(Object input)

  Sets the input, or `null` to indicate no input.

  Parameters:
    `input` - the input or `null`

### setSelection

    public void setSelection(ISelection selection)

  Sets the selection, or `null` to indicate no selection.

  Parameters:
    `selection` - the selection or `null`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.